hydra (8.6-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:48 +0000

hydra (8.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Merge the following patches together to one single 00_spelling.diff patch
    pushed upstream:
    + 04_fix_hyphen-used-as-minus-sign.diff
    + 08_fix_spelling_mistakes.diff
    + 13_fix_typos.diff
  * Refresh remaining patches.
  * Add libgcrypt-dev as Build-Dependency so hydra is built with radmin2
    support (new module added in hydra 8.6).
  * Add -Wl,--as-needed to LDFLAGS to avoid unnecessary linking.
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Exclude Makefile.orig from dh_clean as it is part of upstream's tarball.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Tue, 01 Aug 2017 22:41:27 +0200

hydra (8.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Updated:
      + 09_use_correct_install_dir_dlp4hydra.diff
      + 05_add_option_to_cflag.diff
      + 02_using_supported_protocols.diff
      + 04_fix_hyphen-used-as-minus-sign.diff
      + 08_fix_spelling_mistakes.diff
    + Remove because merge with upstream:
      + 10_fix_typos_in_manpage.diff
      + 11_fix_man_typo.patch
      + 12_allocate-pointer-size-correctly.path
    + Created:
      + 13_fix_typos.diff
        + Fix some typo error in multiples files

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 24 Jun 2017 10:32:28 -0500

hydra (8.3-3) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * Fix newline in manpage (Closes: #853807)

  [ Lukas Schwaighofer ]
  * Allocate required pointer size correctly.  This fixes an issue with
    session restore (`hydra -R`) causing the forked hydra processes to die
    with a "double free or corruption" error. (Closes: #861058)

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Wed, 03 May 2017 19:06:30 +0200

hydra (8.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    + Use default-libmysqlclient-dev instead of libmysqlclient-dev (Closes: #845853)
  * debian/hydra-gtk.desktop
    + Remove pointless localization ("GenericName[en_GB]="  =>  "GenericName=").
      The file does not contain multiple localization options but it only contains
      en_GB, it usually happens when a launcher is modified through the gnome/mate
      launcher editor, that adds the current localization string to the modified parts
      and may cause unwanted behaviors on machines with a different locale setup.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 27 Nov 2016 12:22:24 +0100

hydra (8.3-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Update watch file.

  [ Daniel Echeverry ]
  * New upstream release.
  * debian/control
    + Fix unusual field spacing in field uploaders.
  * debian/patches
    + Refresh 02_using_supported_protocols.diff patch.
    + Refresh 08_fix_spelling_mistakes.diff patch.
    + Refresh 10_fix_typos_in_manpage.diff patch.
    + Remove 11_fix_ftbfs_with_openssl.diff patch.
      + Merge with upstream.

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 07 Sep 2016 22:23:29 -0500

hydra (8.2-2) unstable; urgency=medium

  * debian/patches
    + Add 11_fix_ftbfs_with_openssl.diff patch
      + Fix FTBFS with openssl 1.1. (Closes: #828345)

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 27 Jun 2016 11:49:52 -0500

hydra (8.2-1) unstable; urgency=medium

  [ Daniel Echeverry ]
  * New upstream release. (Closes: #827478)
  * debian/control
    + Bump Standards-Version to 3.9.8 (no changes).
    + Change Vcs-* fields.
    + Add Debian Security Tools Packaging Team as maintainer.
  * debian/patches
    + Refresh 02_using_supported_protocols.diff patch.
    + Refresh 09_use_correct_install_dir_dlp4hydra.diff patch.
    + Refresh 07_remove_troubled_files.diff patch.
    + Refresh 08_fix_spelling_mistakes.diff patch.
    + Add 10_fix_typos_in_manpage.diff patch.
      + Fix some typos in manpage.
  * Remove hydra-gtk.menu file.
  * debian/rules
    + Use Hardening flags.
  * debian/copyright
    + Add name to PostgreSQL license

  [ Raphaël Hertzog ]
  * Don't export CFLAGS/CPPFLAGS/LDFLAGS manually, dh does it for us already.

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 16 Jun 2016 14:17:50 -0500

hydra (8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Refresh 02_using_supported_protocols.diff and
    08_fix_spelling_mistakes.diff patches.
  * Remove d/source/options, now xz format is default.
  * Update 08_fix_spelling_mistakes.diff patch.
  * d/copyright: Add missing License values.

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 10 Dec 2014 07:33:34 -0500

hydra (8.0-1) unstable; urgency=medium

  * New upstream release. (LP: #1275463)
  * debian/control
    + Bump Standards-Version to 3.9.5 (no changes).
    + Add dh-exec in B-D
    + Add wget | curl to Recommends field
  * debian/patches
    + Refresh all patches
    + Add 09_use_correct_install_dir_dlp4hydra.diff
      + Change upstream path for one suitable for GNU Debian
  * debian/copyright
    + Extend copyright holders years
    + Add dpl4hydra.sh copyright 
  * Remove debian/source/options
    + Use xz compression.
  * debian/rules
    + Remove override_dh_builddeb
      + Now dpkg-deb uses xz compression by default
  * debian/hydra.manpages
    + Add dpl4hydra.1 file
    + Add hydra-wizard.1 file
  * Add hydra.install file
    + Include two new scripts
      + dpl4hydra: Generate a default password list
      + hydra-wizard: A wizard script to use Hydra

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 30 May 2014 22:05:44 -0500

hydra (7.5-2) unstable; urgency=low

  * debian/control
    + Remove libncp-dev in B-D. (Closes: #728864)
  * debian/patches
    + Refresh 02_using_supported_protocols.diff patch.
      + Remove the support of ncp protocol.

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 15 Nov 2013 22:02:21 -0500

hydra (7.5-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    + Move the license from GPL-3.0+ to AGPL-3.0 with OpenSSL exception
    + Extend copyright holders years
  * debian/patches
    + Refreshed patch 02_using_supported_protocols.diff
    + Refreshed patch 05_add_option_to_cflag.diff
    + Refreshed patch 07_remove_troubled_files.diff
    + Refreshed patch 08_fix_spelling_mistakes.diff

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 31 Aug 2013 22:28:57 -0500

hydra (7.4.2-2) unstable; urgency=low

  * Use ${binary:Version} in hydra-gtk package
    instead bump manually the version.
  * Disable libafpclient-dev support due to #702889
    + Update 02_using_supported_protocols.diff patch to remove
      the support of afp protocol.
  * Use canonical URIs for Vcs-* fields.
  * Add Keywords entry to d/hydra-gtk.desktop.

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 15 Jul 2013 15:44:45 -0500

hydra (7.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 12 Jan 2013 09:23:51 -0500

hydra (7.4-1) unstable; urgency=low

  * New upstream release.
  * d/watch: Update regular expression.
  * d/control:
    + Remove DM-Upload-Allowed.
    + Update my email.
    + Add libncurses-dev to B-D.
    + Improve description. Thanks to Justin B Rye. (Closes: #680540)
    + Bump Standards-Version to 3.9.4 (no changes).
  * d/copyright: Update my email.
  * d/patches:
    + Refresh 02_using_supported_protocols.diff patch offset.
    + Update 04_fix_hyphen-used-as-minus-sign.diff.
    + Refresh 05_add_option_to_cflag.diff patch offset.
    + Add 08_fix_spelling_mistakes.diff patch to fix spelling
      mistakes.

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 23 Dec 2012 14:22:46 -0500

hydra (7.3-1) unstable; urgency=low

  * New upstream release.
  * Remove 04_fix_spelling_error.diff patch
    + Merge with upstream.
  * Remove some lines in 05_add_option_to_cflag.diff patch.
    + Merge with upstream.
    + Improve DEP3 Description.
  * Refresh 07_remove_troubled_files.diff patch offset.
  * Add 04_fix_hyphen-used-as-minus-sign.diff patch to
    fix hyphen-used-as-minus-sign lintian warning in the
    manpage.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Wed, 23 May 2012 21:25:24 -0500

hydra (7.2-2) unstable; urgency=low

  * Update 05_add_option_to_cflag.diff patch to use properly
    Hardening flags. (Closes: #665281)
    + Thanks to Simon Ruderich for the patch.
  * Bump debhelper to 9 in B-D.
    + Remove debian/source/lintian-overrides to do lintian happy
      about package-needs-versioned-debhelper-build-depends 9.
  * Bump Standards-Version to 3.9.3.
    + Update to DEP5 copyright format 1.0.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 24 Mar 2012 23:51:36 -0500

hydra (7.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh 05_add_option_to_cflag.diff patch offset.
  * Extend copyright holders years.
    + Add missing copyright.		

  [Julián Moreno Patiño]
  * Add 07_remove_troubled_files.diff patch to avoid
    a FTBFS in a second row.
  * Bump debhelper to 8.1.3. (compat level 9).
  * Update 02_using_supported_protocols.diff patch to add
    support of AFP protocol to Linux and KfreeBSD arches.
    + Add libafpclient-dev[!hurd-any] to B-D.

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 16 Feb 2012 23:32:00 -0500

hydra (7.1-2) unstable; urgency=low

  * Switch compat level 8 to 9 to use hardening flags.
  * Update 05_add_option_to_cflag.diff patch
    to use properly Hardening flags.
  * Add 06_show_xhydra_build_output.diff patch
    to show verbose build mode in xhydra.
  * Remove unnecessary newline in debian/rules.
  * Use firebird-dev instead firebird2.5-dev in B-D. (Closes: #653377)
  * Add lintian override to fix
    package-needs-versioned-debhelper-build-depends 
    warning for experimental debhelper version.

  [Ludovico Cavedon]
  * Add DM-Upload-Allowed.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sat, 31 Dec 2011 12:42:34 -0500

hydra (7.1-1) unstable; urgency=low

  * New upstream release
  * Drop 06_fix_manpage.diff
    + Merge with upstream
  * Refresh 02_using_supported_protocols.diff patch
  * Update 04_fix_spelling_error.diff patch
    + Some parts merge with upstream
    + Fix typo
  * Update 05_add_option_to_cflag.diff patch
    + Drop the usage of -O3 Optimization level to
      use -02 according debian policy

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Tue, 11 Oct 2011 16:28:52 -0500

hydra (7.0-1) unstable; urgency=low

  * New upstream release
  * Refresh 02_using_supported_protocols.diff patch
  * Update 04_fix_spelling_error.diff patch
  * New patch 05_add_option_to_cflag.diff to
    add -g option to CFLAGS, according debian
    policy
  * New patch 06_fix_manpage.diff to fix
    hyphen-used-as-minus-sign lintian warning
  * Update 02_using_supported_protocols.diff patch
    + Enable oracle-sid and oracle-listener in xhydra
  * Update copyright file to DEP5 revision 174
  * Remove "Origin: vendor" field from patches
    + Regarding DEP3 format

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Mon, 19 Sep 2011 00:04:21 -0500

hydra (6.5-1) unstable; urgency=low

  * New upstream release
  * Switch compat level 7 to 8
  * Change debhelper to 8 in B-D
  * debian/patches
    + Update 04_fix_spelling_error.diff

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 20 Jul 2011 21:32:59 -0500

hydra (6.4-1) unstable; urgency=low

  * New upstream release.
  * Refresh all patches.
  * Initial Debian GNU Hurd support.
    + Use [!hurd-any] in libncp-dev B-D
    + Use [!hurd-any] in firebird2.5-dev B-D
    + Use __GNU__ macro for supported services
  * Compress package with bzip2
    + Thanks to Raphaël Hertzog
  * Update copyright.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Wed, 29 Jun 2011 01:36:00 -0500

hydra (6.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Remove 03_avoid_ftbfs.diff
    + Merge with upstream
  * Refresh all patches
    + Rename 04_fix_spelling_error.diff
    + Patch to use /usr/bin/hydra by default in xhydra
  * Initial KfreeBSD support
    + Use [!kfreebsd-any] in libncp-dev B-D

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Fri, 06 May 2011 02:59:00 -0500

hydra (6.2-1) unstable; urgency=low

  * New upstream release
  * Update copyright
    + Remove unnecessary header
    + Remove md4.h, md4.c, upstream remove them
  * Improve rules file
  * Remove hydra.1, xhydra.1, pw-inspector.1
    + Merge with upstream
  * Add libidn11-dev, libpcre3-dev in B-D
    + One B-D for line
  * Refresh patches
    + Patch to avoid FTBFS
    + Patch to fix spelling error

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sat, 09 Apr 2011 08:08:26 -0500

hydra (6.1-1) unstable; urgency=low

  [Julián Moreno Patiño]
  * New upstream release (Closes: #602923)
  * Adopted DEP5 Format
  * Updated menu file
  * Added desktop file
  * Patch to use libpq-dev instead 
    libpq-fe.h from upstream.
  
  [Daniel Echeverry]
  * Created the manpages

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Mon, 14 Feb 2011 18:00:25 -0500

hydra (4.1-1) unstable; urgency=low

  * Initial release. (Closes: #254386)

 -- Andrés Roldán <aroldan@debian.org>  Thu, 17 Jun 2004 18:16:17 +0000
